# DataExchange
TKSTEPBase
StepShape

# StepShape_HArray1OfValueQualifier Class Reference

`#include <StepShape_HArray1OfValueQualifier.hxx>`

## Public Member Functions

Standard_EXPORT | StepShape_HArray1OfValueQualifier (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | StepShape_HArray1OfValueQualifier (const Standard_Integer Low, const Standard_Integer Up, const StepShape_ValueQualifier &V)
Standard_EXPORT void | Init (const StepShape_ValueQualifier &V)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const StepShape_ValueQualifier &Value)
const StepShape_ValueQualifier & | Value (const Standard_Integer Index) const
StepShape_ValueQualifier & | ChangeValue (const Standard_Integer Index)
const StepShape_Array1OfValueQualifier & | Array1 () const
StepShape_Array1OfValueQualifier & | ChangeArray1 ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

StepShape_Array1OfValueQualifier | myArray

## Constructor & Destructor Documentation

Standard_EXPORT StepShape_HArray1OfValueQualifier::StepShape_HArray1OfValueQualifier | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT StepShape_HArray1OfValueQualifier::StepShape_HArray1OfValueQualifier | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up,
|  | const StepShape_ValueQualifier & | V
| ) |

## Member Function Documentation

const StepShape_Array1OfValueQualifier& StepShape_HArray1OfValueQualifier::Array1 | ( |  | ) | const

StepShape_Array1OfValueQualifier& StepShape_HArray1OfValueQualifier::ChangeArray1 | ( |  | ) |

StepShape_ValueQualifier& StepShape_HArray1OfValueQualifier::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT const StepShape_HArray1OfValueQualifier::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void StepShape_HArray1OfValueQualifier::Init | ( | const StepShape_ValueQualifier & | V | ) |

Standard_Integer StepShape_HArray1OfValueQualifier::Length | ( |  | ) | const

Standard_Integer StepShape_HArray1OfValueQualifier::Lower | ( |  | ) | const

void StepShape_HArray1OfValueQualifier::SetValue | ( | const Standard_Integer | Index,
|  | const StepShape_ValueQualifier & | Value
| ) |

Standard_Integer StepShape_HArray1OfValueQualifier::Upper | ( |  | ) | const

const StepShape_ValueQualifier& StepShape_HArray1OfValueQualifier::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

StepShape_Array1OfValueQualifier StepShape_HArray1OfValueQualifier::myArray `[private]`

The documentation for this class was generated from the following file:

- StepShape_HArray1OfValueQualifier.hxx